%global pkgname markdown

Name:           python-%{pkgname}
Version:        3.3.6
Release:        4%{?dist}
Summary:        Markdown implementation in Python
License:        BSD
URL:            https://python-markdown.github.io/
Source0:        https://pypi.python.org/packages/source/M/Markdown/Markdown-%{version}.tar.gz
BuildArch:      noarch

%description
This is a Python implementation of John Gruber’s Markdown. It is
almost completely compliant with the reference implementation,
though there are a few very minor differences.


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        Markdown implementation in Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-PyYAML
BuildRequires:  python%{python3_pkgversion}-setuptools


%description -n python%{python3_pkgversion}-%{pkgname}
This is a Python implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation,
though there are a few known issues.


%prep
%autosetup -p1 -n Markdown-%{version}



%build
%py3_build



%install
%py3_install



%check
%python3 -m unittest discover tests



%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.*
%{python3_sitelib}/*
%{_bindir}/markdown_py


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 8 2022 cunshunxia <cunshunxia@tencent.com> - 3.3.6-1
- initial build
